
renderingOptions:
  submitButtonLabel: Anmelden
  fieldState:
    anrede:
      type: SingleSelect
      identifier: anrede
      label: Anrede
      renderingOptions:
        deleted: 1
        listView: 0
    vorname:
      type: Text
      identifier: vorname
      label: Vorname
      renderingOptions:
        deleted: 0
        listView: 1
    nachname:
      type: Text
      identifier: nachname
      label: Nachname
      renderingOptions:
        deleted: 0
        listView: 1
    organisation:
      type: Text
      identifier: organisation
      label: Organisation
      renderingOptions:
        deleted: 0
        listView: 1
    titel:
      type: Text
      identifier: titel
      label: 'Akademischer Titel'
      renderingOptions:
        deleted: 1
        listView: 0
    email:
      type: Email
      identifier: email
      label: E-Mail
      renderingOptions:
        deleted: 0
        listView: 0
    telefon:
      type: Text
      identifier: telefon
      label: Telefon
      renderingOptions:
        deleted: 1
        listView: 0
    privacy-checkbox:
      type: LinkedCheckbox
      identifier: privacy-checkbox
      label: 'Anerkennung AGB & Datenschutzinformationen'
      renderingOptions:
        deleted: 1
        listView: 0
    captcha:
      type: Captcha
      identifier: captcha
      label: Captcha
      renderingOptions:
        deleted: 0
        listView: 0
    linkedcheckbox-1:
      type: LinkedCheckbox
      identifier: linkedcheckbox-1
      label: 'Anerkennung AGB & Datenschutzinformationen'
      renderingOptions:
        deleted: 0
        listView: 0
    statictext-1:
      identifier: statictext-1
      label: ''
      type: StaticText
      renderingOptions:
        deleted: 1
    statictext-2:
      identifier: statictext-2
      label: ''
      type: StaticText
      renderingOptions:
        deleted: 1
    text-2:
      identifier: text-2
      label: Titel
      type: Text
      renderingOptions:
        deleted: 1
    text-1:
      identifier: text-1
      label: Funktion
      type: Text
      renderingOptions:
        deleted: 1
    checkbox-1:
      identifier: checkbox-1
      label: 'Optionaler Workshop (13:30 - 15:30 Uhr)'
      type: Checkbox
      renderingOptions:
        deleted: 1
    hidden-1:
      identifier: hidden-1
      label: Verborgen
      type: Hidden
      renderingOptions:
        deleted: 1
    multicheckbox-1:
      identifier: multicheckbox-1
      label: 'Teilnahme an der Abendveranstaltung "20 Jahre landschaftspark"'
      type: MultiCheckbox
      renderingOptions:
        deleted: 1
    multicheckbox-2:
      identifier: multicheckbox-2
      label: 'Teilnahme an der Abendveranstaltung "20 Jahre Landschaftspark"'
      type: MultiCheckbox
      renderingOptions:
        deleted: 0
    singleselect-1:
      identifier: singleselect-1
      label: 'Teilnahme an der Abendveranstaltung "20 Jahre Landschaftspark"'
      type: SingleSelect
      renderingOptions:
        deleted: 1
type: Form
identifier: anmeldungWerkstattSteillagen20JahreLandschaftspark
label: 'Anmeldung 20 Jahre Landschaftspark & Werkstatt Zukunft Steillagen'
prototypeName: standard
finishers:
  -
    identifier: FormToDatabase
  -
    options:
      subject: 'Anmeldung zur "Werkstatt Zukunft Steillagen" am 10. Juli 2026'
      recipients:
        '{email}': '{vorname} {nachname}'
      senderAddress: events@region-stuttgart.org
      senderName: 'Verband Region Stuttgart'
      addHtmlPart: true
      attachUploads: true
      useFluidEmail: false
      title: ''
      message: "Sehr geehrte/r {vorname} {nachname}, \n\nvielen Dank für Ihre Anmeldung zur \"Werkstatt Zukunft Steillagen\" am 10. Juli 2026 in Esslingen. \n\nMit freundlichen Grüßen\n\nVerband Region Stuttgart"
    identifier: EmailToSender
  -
    options:
      message: 'Vielen Dank für Ihre Anmeldung. Sie erhalten eine E-Mail zur Bestätigung.'
      contentElementUid: ''
    identifier: Confirmation
renderables:
  -
    renderingOptions:
      previousButtonLabel: 'Previous step'
      nextButtonLabel: 'Next step'
    type: Page
    identifier: anmeldung
    renderables:
      -
        type: GridRow
        identifier: gridrow-1
        label: 'Grid: Row'
        renderables:
          -
            defaultValue: ''
            type: Text
            identifier: vorname
            label: Vorname
            properties:
              fluidAdditionalAttributes:
                placeholder: Vorname
                required: required
              gridColumnClassAutoConfiguration:
                viewPorts:
                  xs:
                    numbersOfColumnsToUse: '100'
                  sm:
                    numbersOfColumnsToUse: '100'
                  md:
                    numbersOfColumnsToUse: '50'
                  lg:
                    numbersOfColumnsToUse: '50'
                  xl:
                    numbersOfColumnsToUse: '50'
                  xxl:
                    numbersOfColumnsToUse: '50'
              validationErrorMessages:
                -
                  code: 1221560910
                  message: 'Bitte geben Sie einen Vornamen ein.'
                -
                  code: 1221560718
                  message: 'Bitte geben Sie einen Vornamen ein.'
                -
                  code: 1347992400
                  message: 'Bitte geben Sie einen Vornamen ein.'
                -
                  code: 1347992453
                  message: 'Bitte geben Sie einen Vornamen ein.'
            validators:
              -
                identifier: NotEmpty
          -
            defaultValue: ''
            type: Text
            identifier: nachname
            label: Nachname
            properties:
              elementDescription: ''
              fluidAdditionalAttributes:
                placeholder: Nachname
                required: required
              gridColumnClassAutoConfiguration:
                viewPorts:
                  xxl:
                    numbersOfColumnsToUse: '50'
                  xl:
                    numbersOfColumnsToUse: '50'
                  lg:
                    numbersOfColumnsToUse: '50'
                  md:
                    numbersOfColumnsToUse: '50'
                  sm:
                    numbersOfColumnsToUse: '100'
                  xs:
                    numbersOfColumnsToUse: '100'
            validators:
              -
                identifier: NotEmpty
      -
        defaultValue: ''
        type: Text
        identifier: organisation
        label: Organisation
        properties:
          fluidAdditionalAttributes:
            placeholder: Organisation
            required: required
        validators:
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        type: Email
        identifier: email
        label: E-Mail
        properties:
          elementDescription: ''
          fluidAdditionalAttributes:
            placeholder: E-Mail
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Bitte geben Sie eine E-Mail-Adresse an.'
            -
              code: 1221560718
              message: 'Bitte geben Sie eine E-Mail-Adresse an.'
            -
              code: 1347992400
              message: 'Bitte geben Sie eine E-Mail-Adresse an.'
            -
              code: 1347992453
              message: 'Bitte geben Sie eine E-Mail-Adresse an.'
            -
              code: 1221559976
              message: 'Bitte geben Sie eine gültige E-Mail-Adresse an.'
        validators:
          -
            identifier: EmailAddress
          -
            identifier: NotEmpty
      -
        properties:
          options:
            'Ja, ich nehme teil.': 'Ja, ich nehme teil.'
            'Nein, ich kann leider nicht teilnehmen.': 'Nein, ich kann leider nicht teilnehmen.'
        type: MultiCheckbox
        identifier: multicheckbox-2
        label: 'Teilnahme an der Abendveranstaltung "20 Jahre Landschaftspark"'
        validators:
          -
            identifier: NotEmpty
          -
            options:
              minimum: '1'
              maximum: '1'
            identifier: Count
      -
        type: Captcha
        identifier: captcha
        label: Captcha
        properties:
          formGroupClass: captcha__wrapper
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Bitte füllen Sie das Captcha aus.'
            -
              code: 1221560718
              message: 'Bitte füllen Sie das Captcha aus.'
            -
              code: 1347992400
              message: 'Bitte füllen Sie das Captcha aus.'
            -
              code: 1347992453
              message: 'Bitte füllen Sie das Captcha aus.'
      -
        properties:
          pageUid: '81'
          linkText: Datenschutz
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Bitte bestätigen Sie den Datenschutzhinweis.'
            -
              code: 1221560718
              message: 'Bitte bestätigen Sie den Datenschutzhinweis.'
            -
              code: 1347992400
              message: 'Bitte bestätigen Sie den Datenschutzhinweis.'
            -
              code: 1347992453
              message: 'Bitte bestätigen Sie den Datenschutzhinweis.'
        type: LinkedCheckbox
        identifier: linkedcheckbox-1
        label: 'Anerkennung AGB & Datenschutzinformationen'
        validators:
          -
            identifier: NotEmpty
